List Image Prewarm Tasks
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"imageName": "<string>",
"imageUrl": "<string>",
"repositoryAuth": "<string>",
"clusterId": "<string>",
"clusterName": "<string>",
"products": [
{
"productId": "<string>",
"productName": "<string>"
}
],
"imageSize": "<string>",
"createTime": "<string>",
"state": "<string>",
"completeTime": "<string>",
"note": "<string>",
"reason": [
"<string>"
]
}
],
"total": 123
}Image
List Image Prewarm Tasks
GET
/
gpu-instance
/
openapi
/
v1
/
image
/
prewarm
List Image Prewarm Tasks
Request Headers
string
requerido
Enum:
application/jsonstring
requerido
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
integer
Page number. Default: 1.
integer
Page size. Default: 10.
string
Prewarm task state. Valid values:
Pending, Running, Succeeded, Failed.string
Cluster ID.
string
Image name or task note for fuzzy matching.
Response
object[]
requerido
List of prewarm tasks.
Ocultar properties
Ocultar properties
string
requerido
Prewarm task ID.
string
requerido
Image name (the last segment of the image URL without the tag).
string
requerido
Image URL.
string
Image registry authentication ID.
string
requerido
Cluster ID.
string
requerido
Cluster name.
object[]
requerido
string
Image size in bytes.
string
requerido
Task creation time (Unix timestamp in seconds).
string
requerido
Task state. Valid values:
Pending, Running, Succeeded, Failed.string
Task completion time (Unix timestamp in seconds).
string
Task note.
string[]
Reason messages.
integer
requerido
Total number of tasks.
Última modificación el 15 de mayo de 2026
⌘I